Bug 1310498 - "Invalid value: 9300: must be equal to targetPort when clusterIP = None" in logging-deployer pod
"Invalid value: 9300: must be equal to targetPort when clusterIP = None" in l...
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: ewolinet
chunchen
: Regression, TestBlocker
Depends On: 1309801
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-21 22:11 EST by chunchen
Modified: 2016-09-29 22:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:29:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2016-02-21 22:11:31 EST
Description of problem:
Create the separate bug to track logging part issue for https://bugzilla.redhat.com/show_bug.cgi?id=1309192#c9 .

Version-Release number of selected component (if applicable):
openshift3/logging-deployment   74de3e4b37f8
openshift3/logging-auth-proxy   a28d3494ea25
openshift3/logging-fluentd      581e80e4e569
openshift3/logging-kibana       1d7701631584
openshift3/logging-elasticsearch 338955b2e0fd

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Should deploy EFK stack successfully.

Additional info:
Comment 1 Luke Meyer 2016-02-23 09:32:47 EST
Yes, upstream validation got a little stricter and our usage in the template is now flagged. The deployer pod needs to be rebuilt with the new template as modified in https://github.com/openshift/origin-aggregated-logging/pull/55/files

I think it may be possible to workaround by oc editing the logging-es{,-ops} services and just removing the "targetPort: cluster" line. I can't remember if deployment failed or the service just didn't work.

Eric, can you follow up and build updated OSE images?
Comment 2 Luke Meyer 2016-02-23 09:52:06 EST
Looks like it's already under way in https://trello.com/c/MAsbhK7O/206-1-update-enterprise-logging-images-for-3-2
Comment 3 ewolinet 2016-02-23 10:03:02 EST
This should already be resolved as of last night's puddle update per the deployer image 3.2.0.1
Comment 4 chunchen 2016-02-24 00:26:19 EST
It's fixed, checked with below latest logging images:

[root@openshift-154 ~]# docker images|grep logging| awk '{print $1"    "$3}' |awk -F'/' '{print $2"/"$3}'
openshift3/logging-elasticsearch    bd98af831d62
openshift3/logging-fluentd    0acd0a966bf4
openshift3/logging-kibana    32f915bc69ad
openshift3/logging-deployment    383767c6b100
openshift3/logging-auth-proxy    948429aebce9
Comment 6 errata-xmlrpc 2016-05-12 12:29:33 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.